Subject: Re: Access different NAMESPACE of remote repo from client side

From: Sitaram Chamarty <[email-masked]>
Date: Sat, 16 Nov 2013 14:43:30 +0530

On 11/16/2013 01:30 PM, Jiang Xin wrote:
> 2013/11/15 Sitaram Chamarty <[email-masked]>:
>> On 11/15/2013 07:55 PM, Sitaram Chamarty wrote:

[snip]

>> I should add that the Gitolite model is: the user doesn't need to know
>> about namespaces, because namespaces are just things that the server
>> admin is setting up for his own reasons...
>>
> 
> I want to say something that git-namespace is sometimes significant
> for normal user not only for admin.

Sure.  I only meant in the model that I wrote that branch for.

But consider a slight change of syntax:

    repo dev/CREATOR/..*
        C   =   @team
        RW+ =   CREATOR
        R   =   @all
        option namespace.pattern-1 = dev/%/%/NS/* is @1/@3 in @2

Let's say linux and git are parent repos already created (maybe earlier
in the conf).

This conf will let you use URLs like

    dev/u1/git/NS/bar   (becomes namespace u1/bar in git)
    dev/u2/git/NS/baz   (becomes namespace u2/baz in git)

Yeah it looks like a kludge, but all I wanted to do was to show you that
it's not entirely true to say the client cannot control the namespace!